Skip to main content
GET
/
v4
/
knowledge-bases
/
{knowledge_base_id}
/
upload-schedules
Python
import os
from scale_gp import SGPClient

client = SGPClient(
    api_key=os.environ.get("SGP_API_KEY"),  # This is the default and can be omitted
)
page = client.knowledge_bases.upload_schedules.list(
    knowledge_base_id="knowledge_base_id",
)
page = page.items[0]
print(page.id)
{
  "items": [
    {
      "knowledge_base_id": "<string>",
      "knowledge_base_data_source_id": "<string>",
      "chunking_strategy_config": {
        "strategy": "<string>",
        "separator": "\n\n",
        "chunk_size": 1000,
        "chunk_overlap": 200
      },
      "status": "HEALTHY",
      "interval": 123,
      "id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "created_by_user_id": "<string>",
      "created_by_identity_type": "user",
      "account_id": "<string>",
      "knowledge_base_data_source": {
        "name": "<string>",
        "data_source_config": {
          "source": "<string>",
          "s3_bucket": "<string>",
          "aws_region": "<string>",
          "aws_account_id": "<string>",
          "s3_prefix": ""
        },
        "id": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "created_by_user_id": "<string>",
        "created_by_identity_type": "user",
        "account_id": "<string>",
        "description": "<string>",
        "tagging_information": {
          "type": "all",
          "tags_to_apply": {}
        }
      },
      "status_reason": "<string>",
      "next_run_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total_item_count": 123,
  "current_page": 123,
  "items_per_page": 123
}

Authorizations

x-api-key
string
header
required

Headers

x-selected-account-id
string | null

Path Parameters

knowledge_base_id
string
required

Query Parameters

view
enum<string>[] | null
Available options:
DataSource
page
integer
default:1

Page number for pagination to be returned by the given endpoint. Starts at page 1

Required range: x >= 1
limit
integer
default:100

Maximum number of artifacts to be returned by the given endpoint. Defaults to 100 and cannot be greater than 10k.

Required range: 1 <= x <= 10000
account_id
string | null

Response

Successful Response

items
KnowledgeBaseUploadScheduleResponseWithViews · object[]
required

The data returned for the current page.

total_item_count
integer
required

The total number of items of the query

current_page
integer
required

The current page number.

items_per_page
integer
required

The number of items per page.